aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mumble/APKBUILD
diff options
context:
space:
mode:
authorJohannes Matheis <jomat+alpinebuild@jmt.gr>2014-10-02 10:52:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-08 11:17:29 +0000
commit31d047b78008a5494b364f6ea8cdd3acba88c0fa (patch)
tree5eba7c80af5e0fb4ff2034069434b211ff7981d9 /testing/mumble/APKBUILD
parent008d9598f2f8a22c3e366ff9e884c7762ac06e4f (diff)
downloadaports-31d047b78008a5494b364f6ea8cdd3acba88c0fa.tar.gz
aports-31d047b78008a5494b364f6ea8cdd3acba88c0fa.tar.bz2
aports-31d047b78008a5494b364f6ea8cdd3acba88c0fa.tar.xz
testing/mumble: new aport
http://mumble.sourceforge.net/ Mumble is an open source, low-latency, high quality voice chat software primarily intended for use while gaming
Diffstat (limited to 'testing/mumble/APKBUILD')
-rw-r--r--testing/mumble/APKBUILD98
1 files changed, 98 insertions, 0 deletions
diff --git a/testing/mumble/APKBUILD b/testing/mumble/APKBUILD
new file mode 100644
index 0000000000..e53283cc3c
--- /dev/null
+++ b/testing/mumble/APKBUILD
@@ -0,0 +1,98 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild@jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
+pkgname=mumble
+pkgver=1.2.8
+pkgrel=0
+pkgdesc="Mumble is an open source, low-latency, high quality voice chat software primarily intended for use while gaming"
+url="http://mumble.sourceforge.net/"
+arch="all"
+license="BSD"
+depends="qt-sqlite"
+depends_dev="qt-dev libsndfile-dev protobuf boost-dev avahi-dev protobuf-dev libxi-dev speex-dev libcap-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc murmur murmur-doc:murmur_doc"
+source="http://downloads.sourceforge.net/mumble/$pkgname-$pkgver.tar.gz
+ murmur.initd
+ murmur.pre-install
+ murmur.post-install
+ murmur.post-deinstall
+ "
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ qmake -recursive main.pro CONFIG+="no-speechd no-g15 no-update no-ice bundled-celt no-bundled-speex"
+ make release
+}
+
+package() {
+ cd "$_builddir"
+
+ install -m755 -D ./release/mumble ${pkgdir}/usr/bin/mumble
+ install -m755 -D ./release/libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so.${pkgver}
+ ln -s libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so
+ ln -s libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so.1
+ ln -s libmumble.so.${pkgver} ${pkgdir}/usr/lib/mumble/libmumble.so.1.2
+ install -m755 -D ./release/plugins/liblink.so ${pkgdir}/usr/lib/mumble/liblink.so
+ install -m755 -D ./release/plugins/libmanual.so ${pkgdir}/usr/lib/mumble/libmanual.so
+ install -m755 -D ./release/libcelt* ${pkgdir}/usr/lib/mumble/
+ install -m755 -d "${pkgdir}/usr/share/man/man1/"
+ install -m644 ./man/${pkgname}.1 "${pkgdir}/usr/share/man/man1/"
+ install -Dm644 ./LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+}
+
+murmur() {
+ pkgdesc="Murmur is the server component of Mumble"
+ install="murmur.pre-install murmur.post-install murmur.post-deinstall"
+
+ cd "$_builddir"
+
+ install -dm755 ${subpkgdir}/var/run/murmur
+ install -dm755 ${subpkgdir}/var/lib/murmur
+ install -Dm755 ./release/murmurd ${subpkgdir}/usr/bin/murmurd
+ install -Dm644 ./scripts/murmur.ini ${subpkgdir}/etc/murmur.ini
+ sed 's/^database=$/database=\/var\/lib\/murmur\/murmur.sqlite/;\
+ s/^#uname=$/uname=murmur/;\
+ s/^#logfile=murmur.log$/logfile=\/var\/log\/murmur.log/;\
+ s/^#pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/' -i ${subpkgdir}/etc/murmur.ini
+ install -Dm644 ./scripts/murmur.conf ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf
+ sed "s/mumble-server/murmur/" -i ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf
+ install -D -m755 ${srcdir}/murmur.initd "${subpkgdir}"/etc/init.d/murmur
+}
+
+murmur_doc() {
+ pkgdesc="Murmur is the server component of Mumble"
+ arch="noarch"
+
+ cd "$_builddir"
+
+ install -Dm644 ./man/murmurd.1 ${subpkgdir}/usr/share/man/man1/murmurd.1
+ install -Dm644 ./LICENSE ${subpkgdir}/usr/share/licenses/murmur/LICENSE
+}
+
+md5sums="1a3ef91489ff674dfc010377d7721a28 mumble-1.2.8.tar.gz
+3d6020246d92fe1ffdb8355bf34b460c murmur.initd
+b7dc31564e89e46f97fdb8bd3f345694 murmur.pre-install
+508d6f8fbb4050b3e05439c8f07c046a murmur.post-install
+eec7a19fad4e0baf3b9839c6d514025f murmur.post-deinstall"
+sha256sums="4c2fc3dff49687bc1d977905958e8a9c35e109723aeed42c9ea124104febe159 mumble-1.2.8.tar.gz
+60049e636b33bacb881b815e0ec07fb885d904675e99f95e263df11b4987531a murmur.initd
+97b336469364bc2a55ffc34b6adbddd85c427a4ccfbbf1b501d4d71b7f062f50 murmur.pre-install
+af1bd38f46756218b47bcfddefdf3c2310d9f8e4ce717946af6c503214efbbc4 murmur.post-install
+c2cabbf65b7ddbc7cc5d0d17977f345bb31a6f3d57980ef0679f03e87a81cb48 murmur.post-deinstall"
+sha512sums="9c3534dacce22c6152f3ffa847e98b3b1bab43fd8a92285362333487b1bb9a064699296005350cf09bd44a8070508beaf14d3b518465fad3db94710cd818bc5b mumble-1.2.8.tar.gz
+530f2334fa459501cb8dc621d4470e5b6338e3a7af09f21b2db79309b077b31227a4b793fd8762a84aae3bcc3530ea1ea3a2b5fc0d7fcd815751dd920f678a19 murmur.initd
+bd0b956ace73af638e672f504c8b755dcf272183b0b87f787903ec61261189726e80f9ed21749d1d73c6b9da286f3aff9d5305e73cd28d920de73381b8f5d7a8 murmur.pre-install
+9bd88ae23b39b7ae903d073d675ba4092aea83cc31620396fcd90092a5b30f04ee575158ceff7908f80da6763525f0a11b88821f6271d11c3ae6f4d9a5de1781 murmur.post-install
+e525c54802848d5b89e9721f64cc9e6d756dca442a4753a623a8846261183f3b4caf912c05a6342d369b695174c1d42604fc363244a23cb8985165680d437335 murmur.post-deinstall"